Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 102717 - Moving LocallyAdded file not permitted
Moving LocallyAdded file not permitted
Status: RESOLVED FIXED
Product: versioncontrol
Classification: Unclassified
Component: Mercurial
6.x
Sun All
: P3 (vote)
: 6.x
Assigned To: issues@versioncontrol
issues@versioncontrol
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-04-27 10:12 UTC by Padraig Obriain
Modified: 2008-01-03 09:40 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments
Patch for this bug (2.82 KB, patch)
2007-04-27 10:48 UTC, Padraig Obriain
Details | Diff
proposed patch (1.11 KB, patch)
2007-10-24 16:33 UTC, Padraig Obriain
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Padraig Obriain 2007-04-27 10:12:57 UTC
In the mercurial plugin we do not permit the moving of a Locally Added file.
We should be able to do hg rm -f on that file and so allow the move.
Comment 1 Padraig Obriain 2007-04-27 10:48:26 UTC
Created attachment 41815 [details]
Patch for this bug
Comment 2 Padraig Obriain 2007-04-27 10:50:23 UTC
If the from file is LocallyAdded we do hg remove -f on it and do hg add on the
to file; otherwisae we call hg rename -A
Comment 3 John Rice 2007-05-02 11:29:20 UTC
Will fix in rev 1.1 by doing the hg rm -f on the locally added file before the
move completes.
Comment 4 Padraig Obriain 2007-05-08 12:13:10 UTC
Patch committed.
Comment 5 John Rice 2007-10-19 16:14:29 UTC
Seeing different behavior - the rename fails and there is an Output error. You can commit the NewFile but the status in
the Project view does not get updated until you go and add another file.
Comment 6 Padraig Obriain 2007-10-24 16:14:15 UTC
The rework on Rename has caused this regression.
Comment 7 Padraig Obriain 2007-10-24 16:33:25 UTC
Created attachment 51598 [details]
proposed patch
Comment 8 Padraig Obriain 2007-10-24 16:39:10 UTC
IDE:-------------------------------------------------
IDE: [10/24/07 4:38 PM] Committing started
Checking in MercurialInterceptor.java;
/shared/data/ccvs/repository/versioncontrol/mercurial/src/org/netbeans/modules/mercurial/MercurialInterceptor.java,v 
<--  MercurialInterceptor.java
new revision: 1.10; previous revision: 1.9
done
IDE: [10/24/07 4:38 PM] Committing finished


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo